Bug 377554 - "Show HTML for this contact" no longer works
Summary: "Show HTML for this contact" no longer works
Status: CONFIRMED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: Git (master)
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-13 08:45 UTC by Martin Koller
Modified: 2020-12-10 22:56 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Log from KMail session (1.88 KB, text/plain)
2020-01-29 14:27 UTC, Tony Green
Details
Video (194.72 KB, video/mp4)
2020-12-10 04:53 UTC, Justin Zobel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2017-03-13 08:45:06 UTC
I've updated to KDE 16.12.3 (from 16.08) and now kmail no longer uses my contacts for deciding to show a mail as HTML or not.
I get mails from an internal bugtracker in HTML format and I selected the sender address already multiple times and checked "show HTML when mail comes from this contact"
I find this exact address also already 3 times in kaddressbook (local contacts folder) but kmail refuses to apply this setting
Comment 1 Laurent Montel 2018-10-31 08:13:17 UTC
I debugged it.
Are you sure that you all contact has the same settings ?
As kmail will use the first one found.
Comment 2 Martin Koller 2018-10-31 17:07:51 UTC
I checked again with my current setup.
I'm now using kmail 5.8.3 on openSuse Leap 15.0.
I have the address only once in the addressbook (the address is in an addressbook stored on an ownCloud server in my local network).
I set the address to "show HTML" and checked "allow remote content" - still
when I select a mail received from this address it does not show me the HTML version but instead shows the usual text in the red rectangle:

"Note: This is an HTML message. For security reasons, only the raw HTML code is shown. If you trust the sender of this message then you can activate formatted HTML display for this message by clicking here."

Interesting to see is that when I right-click on the sender address in kmail and open the submenu "Show HTML Format" in the context menu, NONE of the 2 checkboxes are checked!
I did set the "show HTML" from within kaddressbook.
So it seems kmail does not read the same information as kaddressbook in this case.
Comment 3 Tony Green 2020-01-29 14:27:40 UTC
Created attachment 125517 [details]
Log from KMail session
Comment 4 null 2020-04-11 09:39:38 UTC
While I could reproduce this issue with KMail 5.5.2, nowadays it seems to work correctly with KMail 5.9.2 (Qt 5.11.2 / KF 5.51) as well as KMail 5.14.40 (Qt 5.14.1 / KF 5.69).

Notes:
- I was only using a local address book.
- After using the "Show HTML Format" context menu, I had to switch back and forth between messages for the setting to get applied.

Martin: Could you try to reproduce again with a current version, using your remote address book?
Comment 5 Martin Koller 2020-04-11 10:49:00 UTC
Using current Version 5.14.0 (20.04.0) self compiled, it still does not work.
Comment 6 Justin Zobel 2020-12-10 04:53:53 UTC
Created attachment 133961 [details]
Video

Clicking the checkboxes doesn't always work.
Comment 7 Laurent Montel 2020-12-10 06:21:40 UTC
Which version do you use as I already fixed it.
Comment 8 Justin Zobel 2020-12-10 22:56:19 UTC
(In reply to Laurent Montel from comment #7)
> Which version do you use as I already fixed it.

5.15.3 (20.08.3)